=== src/foreign/lensdb/CMakeLists.txt ===

add_library(huginlensdb STATIC PTLensDB.c)

#install(TARGETS hugincommon DESTINATION lib)
