=== debian/changelog ===
hugin (2010.0.0+dfsg-3ubuntu1) maverick; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/control: Add depends on autopano-sift-c | autopano-sift
    - Rework 51_ubuntu-autopano-sift.patch

 -- Andreas Wenning <awen@awen.dk>  Fri, 25 Jun 2010 21:03:12 +0200

hugin (2010.0.0+dfsg-3) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 09 May 2010 14:37:18 +0200

hugin (2010.0.0+dfsg-2) experimental; urgency=low

  * Pulled from upstream svn trunk 20_readonly_fs.diff: Warn on failure to
    save project file. Closes: #576435

 -- Andreas Metzler <ametzler@debian.org>  Fri, 09 Apr 2010 19:25:56 +0200

hugin (2010.0.0+dfsg-1) experimental; urgency=low

  * New upstream version.
    + update debian/copyright.
  * Install deghosting_mask binary and manpage.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 27 Mar 2010 14:11:09 +0100

hugin (2009.4.0+dfsg-2) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 21 Mar 2010 13:01:38 +0100

hugin (2009.4.0+dfsg-1) experimental; urgency=low

  * New upstream version.
  * Use dpkg-source v3 format instead of quilt.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 19 Dec 2009 08:42:09 +0100

hugin (2009.4.0+dfsg~rc3-1) experimental; urgency=low

  * New upstream version.
  * Drop libboost-python-dev build-dependency since #548503 fixed.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 05 Dec 2009 13:18:34 +0100

hugin (2009.4.0+dfsg~rc2-1) experimental; urgency=low

  * New upstream version.
  * update debian/copyright.
  * Ship newly available binaries calibrate_lens and cpclean.
  * [43_fallbackhelp.patch] Invoke sensible-browser instead of using
    wxLaunchDefaultBrowser(), since the latter does not work without KDE or
    GNOME.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 24 Oct 2009 10:58:38 +0200

hugin (2009.2.0+dfsg-2ubuntu2) lucid; urgency=low

  * No change upload to pick up new exiv2 library (LP: #502565)

 -- Luka Renko <lure@ubuntu.com>  Tue, 12 Jan 2010 22:40:03 +0100

hugin (2009.2.0+dfsg-2ubuntu1) lucid; urgency=low

  * Merge from Debian testing, remaining changes (LP: #443328):
    - Depends on autopano-sift
    - Refreshed 51_ubuntu-autopano-sift.patch to fix default config
  * debian/control: Add depends on autopano-sift-c

 -- Darxus <darxus@chaosreigns.com>  Mon, 05 Oct 2009 13:01:45 -0400

hugin (2009.2.0+dfsg-2) unstable; urgency=low

  * Stop specialcasing Linux in 42_stoplinklibXI_libXmu. None of Debian's
    architectures should require linkage against indirect dependencies. This
    hopefully makes hugin build on kFreeBSD (and hurd).

 -- Andreas Metzler <ametzler@debian.org>  Thu, 08 Oct 2009 19:20:51 +0200

hugin (2009.2.0+dfsg-1) unstable; urgency=low

  * New upstream release, identical to rc1. Closes: #549119
  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 06 Oct 2009 19:07:27 +0200

hugin (2009.2.0+dfsg~rc1-1) experimental; urgency=low

  * New upstream release candidate.
  * Boost-defaults has switched to version 1.40:
    + boost/thread/thread.hpp does not #include <boost/function.hpp> anymore.
      Patch hugin [debian/patches/55_boost1.40.diff] to directly include the
      header.
    + libboost-graph1.40-dev's boost/graph/breadth_first_search.hpp indirectly
      #includes (and therefore requires)
      boost/python/detail/referent_storage.hpp which is part of
      libboost-python1.40-dev. However the former package does not depend on
      the package. Temporarily add a build-dependency until #548503 is
      resolved.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 27 Sep 2009 12:13:27 +0200

hugin (0.8.0.dfsg+2009.2.0~beta4-1) experimental; urgency=low

  * New upsteam version 2009.2.0 beta4.
    + Tarball does not contain src/matchpoint/evaluation anymore, update
      get-orig-source target and debian/copyright.
    + Drop debian/patches/40_fix_implicit_linking - applied upstream.
  * 45_autopano-noop.sh_withoutshextension: Install autopano-noop.sh as
    autopano-noop.
  * Ship autopano-noop wrapper script (in hugin package, since it is invoked
    from the GUI frontend.)

 -- Andreas Metzler <ametzler@debian.org>  Mon, 14 Sep 2009 11:22:52 +0200

hugin (0.8.0.dfsg+2009.2.0~beta3+svn4385-1) experimental; urgency=low

  * svn prerelease 4385.
    + Does not crash when loading CR2 raw files anymore. Closes: #416222
  * Old debian/patches/40_fix_implicit_linking applied upstream, but the code
    is re-broken due to added dependencies. Update patch.
  * Add freeglut3-dev to build-depends.
  * Build with VERBOSE=1.
  * New patch 42_stoplinklibXI_libXmu to stop FindGLUT.cmake from causing
    direct linking against both libXi and libXmu.
  * Update debian/copyright.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 12 Sep 2009 09:55:56 +0200

hugin (0.8.0.dfsg-2ubuntu1) karmic; urgency=low

  [ Darxus ]
  * Merge from Debian unstable, remaining changes (LP: #439396):
    - Depends on autopano-sift

  [ Artur Rona ]
  * debian/patches/51_ubuntu-autopano-sift: 
    - Add refreshed patch to fix default config

 -- Artur Rona <ari-tczew@tlen.pl>  Sun, 04 Oct 2009 19:34:01 +0200

hugin (0.8.0.dfsg-2) unstable; urgency=low

  * Upload to unstable.
  * Use dversionmangle in watchfile.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 09 Sep 2009 20:11:43 +0200

hugin (0.8.0.dfsg-1) experimental; urgency=low

  [ Andreas Metzler ]
  * New upstream version. Closes: #537542
    + Uses correct default value for enfuse/enblend if the option is not
      already saved. Closes: #504296
  * [lintian] Stop invoking dh_desktop.
  * Standards-Version 3.8.2, no changes required.
  * Add minimal manpage for matchpoint.
  * Add get-orig-source target to debian/rules
  * Add minimal README.source.

  [ Cyril Brulebois ]
  * debian/watch: Follow upstream's move from bz2 to gz for the tarballs,
    thanks to Fabrice Coutadeur (Closes: #539243). Finally support both

